Index: c/src/exec/rtems/headers/eventmp.h
===================================================================
--- c/src/exec/rtems/headers/eventmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/eventmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  eventmp.h,v 1.2 1995/05/31 16:46:25 joel Exp
  */
 
@@ -35,5 +35,5 @@
 typedef enum {
   EVENT_MP_SEND_REQUEST  =  0,
-  EVENT_MP_SEND_RESPONSE =  1,
+  EVENT_MP_SEND_RESPONSE =  1
 }   Event_MP_Remote_operations;
 
Index: c/src/exec/rtems/headers/partmp.h
===================================================================
--- c/src/exec/rtems/headers/partmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/partmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  partmp.h,v 1.2 1995/05/31 16:47:02 joel Exp
  */
 
@@ -40,5 +40,5 @@
   PARTITION_MP_GET_BUFFER_RESPONSE    =  4,
   PARTITION_MP_RETURN_BUFFER_REQUEST  =  5,
-  PARTITION_MP_RETURN_BUFFER_RESPONSE =  6,
+  PARTITION_MP_RETURN_BUFFER_RESPONSE =  6
 }   Partition_MP_Remote_operations;
 
Index: c/src/exec/rtems/headers/regionmp.h
===================================================================
--- c/src/exec/rtems/headers/regionmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/regionmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  regionmp.h,v 1.2 1995/05/31 16:47:09 joel Exp
  */
 
@@ -40,5 +40,5 @@
   REGION_MP_GET_SEGMENT_RESPONSE    =  4,
   REGION_MP_RETURN_SEGMENT_REQUEST  =  5,
-  REGION_MP_RETURN_SEGMENT_RESPONSE =  6,
+  REGION_MP_RETURN_SEGMENT_RESPONSE =  6
 }   Region_MP_Remote_operations;
 
Index: c/src/exec/rtems/headers/sem.h
===================================================================
--- c/src/exec/rtems/headers/sem.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/sem.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -22,5 +22,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sem.h,v 1.2 1995/05/31 16:47:13 joel Exp
  */
 
Index: c/src/exec/rtems/headers/semmp.h
===================================================================
--- c/src/exec/rtems/headers/semmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/semmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  semmp.h,v 1.2 1995/05/31 16:47:15 joel Exp
  */
 
@@ -41,5 +41,5 @@
   SEMAPHORE_MP_OBTAIN_RESPONSE  =  4,
   SEMAPHORE_MP_RELEASE_REQUEST  =  5,
-  SEMAPHORE_MP_RELEASE_RESPONSE =  6,
+  SEMAPHORE_MP_RELEASE_RESPONSE =  6
 }   Semaphore_MP_Remote_operations;
 
Index: c/src/exec/rtems/headers/signalmp.h
===================================================================
--- c/src/exec/rtems/headers/signalmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/signalmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  signalmp.h,v 1.2 1995/05/31 16:47:18 joel Exp
  */
 
@@ -35,5 +35,5 @@
 typedef enum {
   SIGNAL_MP_SEND_REQUEST  = 0,
-  SIGNAL_MP_SEND_RESPONSE = 1,
+  SIGNAL_MP_SEND_RESPONSE = 1
 }   Signal_MP_Remote_operations;
 
Index: c/src/exec/rtems/headers/taskmp.h
===================================================================
--- c/src/exec/rtems/headers/taskmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/headers/taskmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  taskmp.h,v 1.2 1995/05/31 16:47:30 joel Exp
  */
 
@@ -46,5 +46,5 @@
   RTEMS_TASKS_MP_GET_NOTE_RESPONSE     =  9,
   RTEMS_TASKS_MP_SET_NOTE_REQUEST      = 10,
-  RTEMS_TASKS_MP_SET_NOTE_RESPONSE     = 11,
+  RTEMS_TASKS_MP_SET_NOTE_RESPONSE     = 11
 }   RTEMS_tasks_MP_Remote_operations;
 
Index: c/src/exec/rtems/include/rtems/rtems/eventmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/eventmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/eventmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  eventmp.h,v 1.2 1995/05/31 16:46:25 joel Exp
  */
 
@@ -35,5 +35,5 @@
 typedef enum {
   EVENT_MP_SEND_REQUEST  =  0,
-  EVENT_MP_SEND_RESPONSE =  1,
+  EVENT_MP_SEND_RESPONSE =  1
 }   Event_MP_Remote_operations;
 
Index: c/src/exec/rtems/include/rtems/rtems/partmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/partmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/partmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  partmp.h,v 1.2 1995/05/31 16:47:02 joel Exp
  */
 
@@ -40,5 +40,5 @@
   PARTITION_MP_GET_BUFFER_RESPONSE    =  4,
   PARTITION_MP_RETURN_BUFFER_REQUEST  =  5,
-  PARTITION_MP_RETURN_BUFFER_RESPONSE =  6,
+  PARTITION_MP_RETURN_BUFFER_RESPONSE =  6
 }   Partition_MP_Remote_operations;
 
Index: c/src/exec/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/regionmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/regionmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  regionmp.h,v 1.2 1995/05/31 16:47:09 joel Exp
  */
 
@@ -40,5 +40,5 @@
   REGION_MP_GET_SEGMENT_RESPONSE    =  4,
   REGION_MP_RETURN_SEGMENT_REQUEST  =  5,
-  REGION_MP_RETURN_SEGMENT_RESPONSE =  6,
+  REGION_MP_RETURN_SEGMENT_RESPONSE =  6
 }   Region_MP_Remote_operations;
 
Index: c/src/exec/rtems/include/rtems/rtems/sem.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/sem.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/sem.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -22,5 +22,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sem.h,v 1.2 1995/05/31 16:47:13 joel Exp
  */
 
Index: c/src/exec/rtems/include/rtems/rtems/semmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/semmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/semmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  semmp.h,v 1.2 1995/05/31 16:47:15 joel Exp
  */
 
@@ -41,5 +41,5 @@
   SEMAPHORE_MP_OBTAIN_RESPONSE  =  4,
   SEMAPHORE_MP_RELEASE_REQUEST  =  5,
-  SEMAPHORE_MP_RELEASE_RESPONSE =  6,
+  SEMAPHORE_MP_RELEASE_RESPONSE =  6
 }   Semaphore_MP_Remote_operations;
 
Index: c/src/exec/rtems/include/rtems/rtems/signalmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/signalmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/signalmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  signalmp.h,v 1.2 1995/05/31 16:47:18 joel Exp
  */
 
@@ -35,5 +35,5 @@
 typedef enum {
   SIGNAL_MP_SEND_REQUEST  = 0,
-  SIGNAL_MP_SEND_RESPONSE = 1,
+  SIGNAL_MP_SEND_RESPONSE = 1
 }   Signal_MP_Remote_operations;
 
Index: c/src/exec/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/taskmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/rtems/include/rtems/rtems/taskmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  taskmp.h,v 1.2 1995/05/31 16:47:30 joel Exp
  */
 
@@ -46,5 +46,5 @@
   RTEMS_TASKS_MP_GET_NOTE_RESPONSE     =  9,
   RTEMS_TASKS_MP_SET_NOTE_REQUEST      = 10,
-  RTEMS_TASKS_MP_SET_NOTE_RESPONSE     = 11,
+  RTEMS_TASKS_MP_SET_NOTE_RESPONSE     = 11
 }   RTEMS_tasks_MP_Remote_operations;
 
Index: c/src/exec/score/headers/tqdata.h
===================================================================
--- c/src/exec/score/headers/tqdata.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/headers/tqdata.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  tqdata.h,v 1.2 1995/05/31 16:47:42 joel Exp
  */
 
@@ -33,5 +33,5 @@
 typedef enum {
   THREAD_QUEUE_DATA_FIFO_DISCIPLINE,     /* RTEMS_FIFO queue discipline */
-  THREAD_QUEUE_DATA_PRIORITY_DISCIPLINE, /* RTEMS_PRIORITY queue discipline */
+  THREAD_QUEUE_DATA_PRIORITY_DISCIPLINE  /* RTEMS_PRIORITY queue discipline */
 }   Thread_queue_Disciplines;
 
Index: c/src/exec/score/headers/wkspace.h
===================================================================
--- c/src/exec/score/headers/wkspace.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/headers/wkspace.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -13,5 +13,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.h,v 1.2 1995/05/31 16:47:46 joel Exp
  */
 
@@ -72,5 +72,5 @@
  */
 
-STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
+void *_Workspace_Allocate_or_fatal_error(
   unsigned32   size
 );
Index: c/src/exec/score/include/rtems/score/tqdata.h
===================================================================
--- c/src/exec/score/include/rtems/score/tqdata.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/include/rtems/score/tqdata.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  tqdata.h,v 1.2 1995/05/31 16:47:42 joel Exp
  */
 
@@ -33,5 +33,5 @@
 typedef enum {
   THREAD_QUEUE_DATA_FIFO_DISCIPLINE,     /* RTEMS_FIFO queue discipline */
-  THREAD_QUEUE_DATA_PRIORITY_DISCIPLINE, /* RTEMS_PRIORITY queue discipline */
+  THREAD_QUEUE_DATA_PRIORITY_DISCIPLINE  /* RTEMS_PRIORITY queue discipline */
 }   Thread_queue_Disciplines;
 
Index: c/src/exec/score/include/rtems/score/wkspace.h
===================================================================
--- c/src/exec/score/include/rtems/score/wkspace.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/include/rtems/score/wkspace.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -13,5 +13,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.h,v 1.2 1995/05/31 16:47:46 joel Exp
  */
 
@@ -72,5 +72,5 @@
  */
 
-STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
+void *_Workspace_Allocate_or_fatal_error(
   unsigned32   size
 );
Index: c/src/exec/score/inline/rtems/score/wkspace.inl
===================================================================
--- c/src/exec/score/inline/rtems/score/wkspace.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/inline/rtems/score/wkspace.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.inl,v 1.2 1995/05/31 16:48:49 joel Exp
  */
 
@@ -70,24 +70,4 @@
 /*PAGE
  *
- *  _Workspace_Allocate_or_fatal_error
- *
- */
-
-STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
-  unsigned32   size
-)
-{
-  void        *memory;
-
-  memory = _Workspace_Allocate( size );
-
-  if ( memory == NULL )
-    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
-
-  return memory;
-}
-
-/*PAGE
- *
  *  _Workspace_Free
  *
Index: c/src/exec/score/inline/wkspace.inl
===================================================================
--- c/src/exec/score/inline/wkspace.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/inline/wkspace.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.inl,v 1.2 1995/05/31 16:48:49 joel Exp
  */
 
@@ -70,24 +70,4 @@
 /*PAGE
  *
- *  _Workspace_Allocate_or_fatal_error
- *
- */
-
-STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
-  unsigned32   size
-)
-{
-  void        *memory;
-
-  memory = _Workspace_Allocate( size );
-
-  if ( memory == NULL )
-    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
-
-  return memory;
-}
-
-/*PAGE
- *
  *  _Workspace_Free
  *
Index: c/src/exec/score/macros/chain.inl
===================================================================
--- c/src/exec/score/macros/chain.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/chain.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  chain.inl,v 1.2 1995/05/31 16:48:59 joel Exp
  */
 
@@ -146,5 +146,5 @@
 #define _Chain_Get_unprotected( _the_chain ) \
   (( !_Chain_Is_empty( (_the_chain) ) ) \
-    ? _Chain_Get_unprotected( (_the_chain) ) \
+    ? _Chain_Get_first_unprotected( (_the_chain) ) \
     : NULL)
 
Index: c/src/exec/score/macros/heap.inl
===================================================================
--- c/src/exec/score/macros/heap.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/heap.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  heap.inl,v 1.2 1995/05/31 16:49:10 joel Exp
  */
 
@@ -45,4 +45,5 @@
       (void *)(_the_block), \
       (_the_block)->back_flag & ~ HEAP_BLOCK_USED \
+    ) \
   )
 
@@ -56,4 +57,5 @@
       (void *)(_the_block), \
       (_the_block)->front_flag & ~ HEAP_BLOCK_USED \
+    ) \
   )
 
Index: c/src/exec/score/macros/object.inl
===================================================================
--- c/src/exec/score/macros/object.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/object.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  object.inl,v 1.2 1995/05/31 16:49:20 joel Exp
  */
 
@@ -39,5 +39,4 @@
     (*(_c4) = ((_name)) & 0xff; \
   }
-);
 
 /*PAGE
Index: c/src/exec/score/macros/priority.inl
===================================================================
--- c/src/exec/score/macros/priority.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/priority.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  priority.inl,v 1.2 1995/05/31 16:49:27 joel Exp
  */
 
@@ -140,5 +140,5 @@
 #define _Priority_Is_group_empty ( _the_priority ) \
   ( (_the_priority) == 0 )
-}
+
 #endif
 /* end of include file */
Index: c/src/exec/score/macros/rtems/score/chain.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/chain.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/rtems/score/chain.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  chain.inl,v 1.2 1995/05/31 16:48:59 joel Exp
  */
 
@@ -146,5 +146,5 @@
 #define _Chain_Get_unprotected( _the_chain ) \
   (( !_Chain_Is_empty( (_the_chain) ) ) \
-    ? _Chain_Get_unprotected( (_the_chain) ) \
+    ? _Chain_Get_first_unprotected( (_the_chain) ) \
     : NULL)
 
Index: c/src/exec/score/macros/rtems/score/heap.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/heap.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/rtems/score/heap.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  heap.inl,v 1.2 1995/05/31 16:49:10 joel Exp
  */
 
@@ -45,4 +45,5 @@
       (void *)(_the_block), \
       (_the_block)->back_flag & ~ HEAP_BLOCK_USED \
+    ) \
   )
 
@@ -56,4 +57,5 @@
       (void *)(_the_block), \
       (_the_block)->front_flag & ~ HEAP_BLOCK_USED \
+    ) \
   )
 
Index: c/src/exec/score/macros/rtems/score/object.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/object.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/rtems/score/object.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  object.inl,v 1.2 1995/05/31 16:49:20 joel Exp
  */
 
@@ -39,5 +39,4 @@
     (*(_c4) = ((_name)) & 0xff; \
   }
-);
 
 /*PAGE
Index: c/src/exec/score/macros/rtems/score/priority.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/priority.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/rtems/score/priority.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  priority.inl,v 1.2 1995/05/31 16:49:27 joel Exp
  */
 
@@ -140,5 +140,5 @@
 #define _Priority_Is_group_empty ( _the_priority ) \
   ( (_the_priority) == 0 )
-}
+
 #endif
 /* end of include file */
Index: c/src/exec/score/macros/rtems/score/sysstate.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/sysstate.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/rtems/score/sysstate.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sysstate.inl,v 1.2 1995/05/31 16:49:39 joel Exp
  */
 
@@ -31,5 +31,5 @@
  */
 
-#define _System_state_Get( void ) \
+#define _System_state_Get() \
   (_System_state_Current)
 
Index: c/src/exec/score/macros/rtems/score/wkspace.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/wkspace.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/rtems/score/wkspace.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.inl,v 1.2 1995/05/31 16:49:53 joel Exp
  */
 
@@ -67,28 +67,4 @@
 /*PAGE
  *
- *  _Workspace_Allocate_or_fatal_error
- *
- *  NOTE:  XXX FIX ME
- *
- *  When not using static inlines, this should really be a function
- *  somewhere.
- */
-
-static inline void _Workspace_Allocate_or_fatal_error(
-  unsigned32   size
-)
-{
-  void        *memory;
-
-  memory = _Workspace_Allocate( size );
-
-  if ( memory == NULL )
-    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
-
-  return memory;
-}
-
-/*PAGE
- *
  *  _Workspace_Free
  *
Index: c/src/exec/score/macros/sysstate.inl
===================================================================
--- c/src/exec/score/macros/sysstate.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/sysstate.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sysstate.inl,v 1.2 1995/05/31 16:49:39 joel Exp
  */
 
@@ -31,5 +31,5 @@
  */
 
-#define _System_state_Get( void ) \
+#define _System_state_Get() \
   (_System_state_Current)
 
Index: c/src/exec/score/macros/wkspace.inl
===================================================================
--- c/src/exec/score/macros/wkspace.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/macros/wkspace.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.inl,v 1.2 1995/05/31 16:49:53 joel Exp
  */
 
@@ -67,28 +67,4 @@
 /*PAGE
  *
- *  _Workspace_Allocate_or_fatal_error
- *
- *  NOTE:  XXX FIX ME
- *
- *  When not using static inlines, this should really be a function
- *  somewhere.
- */
-
-static inline void _Workspace_Allocate_or_fatal_error(
-  unsigned32   size
-)
-{
-  void        *memory;
-
-  memory = _Workspace_Allocate( size );
-
-  if ( memory == NULL )
-    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
-
-  return memory;
-}
-
-/*PAGE
- *
  *  _Workspace_Free
  *
Index: c/src/exec/score/src/thread.c
===================================================================
--- c/src/exec/score/src/thread.c	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/src/thread.c	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -11,5 +11,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  thread.c,v 1.5 1995/07/31 22:22:38 joel Exp
  */
 
@@ -629,6 +629,6 @@
 )
 {
-  Thread_Control *the_thread;
-  Objects_Locations      location;
+  Thread_Control    *the_thread;
+  Objects_Locations  location;
 
   the_thread = _Thread_Get( id, &location );
@@ -792,6 +792,6 @@
 
 STATIC INLINE Thread_Control *_Thread_Get (
-  Objects_Id  id,
-  unsigned32 *location
+  Objects_Id         id,
+  Objects_Locations *location
 )
 {
Index: c/src/exec/score/src/wkspace.c
===================================================================
--- c/src/exec/score/src/wkspace.c	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ c/src/exec/score/src/wkspace.c	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -2,10 +2,7 @@
  *  Workspace Handler
  *
- *  JUNK
+ *  XXX
  *
  *  NOTE:
- *
- *  This file only exists to contain the one function which cannot
- *  be written as a macro when "static inlines" are not used.
  *
  *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
@@ -17,5 +14,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.c,v 1.4 1995/05/25 15:26:53 joel Exp
  */
 
@@ -23,6 +20,4 @@
 #include <rtems/wkspace.h>
 #include <rtems/fatal.h>
-
-#ifndef USE_INLINES
 
 /*PAGE
@@ -45,5 +40,2 @@
   return memory;
 }
-
-#endif   /* USE_INLINES */
-
Index: cpukit/rtems/include/rtems/rtems/eventmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/eventmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/eventmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  eventmp.h,v 1.2 1995/05/31 16:46:25 joel Exp
  */
 
@@ -35,5 +35,5 @@
 typedef enum {
   EVENT_MP_SEND_REQUEST  =  0,
-  EVENT_MP_SEND_RESPONSE =  1,
+  EVENT_MP_SEND_RESPONSE =  1
 }   Event_MP_Remote_operations;
 
Index: cpukit/rtems/include/rtems/rtems/partmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/partmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/partmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  partmp.h,v 1.2 1995/05/31 16:47:02 joel Exp
  */
 
@@ -40,5 +40,5 @@
   PARTITION_MP_GET_BUFFER_RESPONSE    =  4,
   PARTITION_MP_RETURN_BUFFER_REQUEST  =  5,
-  PARTITION_MP_RETURN_BUFFER_RESPONSE =  6,
+  PARTITION_MP_RETURN_BUFFER_RESPONSE =  6
 }   Partition_MP_Remote_operations;
 
Index: cpukit/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  regionmp.h,v 1.2 1995/05/31 16:47:09 joel Exp
  */
 
@@ -40,5 +40,5 @@
   REGION_MP_GET_SEGMENT_RESPONSE    =  4,
   REGION_MP_RETURN_SEGMENT_REQUEST  =  5,
-  REGION_MP_RETURN_SEGMENT_RESPONSE =  6,
+  REGION_MP_RETURN_SEGMENT_RESPONSE =  6
 }   Region_MP_Remote_operations;
 
Index: cpukit/rtems/include/rtems/rtems/sem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/sem.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/sem.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -22,5 +22,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sem.h,v 1.2 1995/05/31 16:47:13 joel Exp
  */
 
Index: cpukit/rtems/include/rtems/rtems/semmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/semmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/semmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  semmp.h,v 1.2 1995/05/31 16:47:15 joel Exp
  */
 
@@ -41,5 +41,5 @@
   SEMAPHORE_MP_OBTAIN_RESPONSE  =  4,
   SEMAPHORE_MP_RELEASE_REQUEST  =  5,
-  SEMAPHORE_MP_RELEASE_RESPONSE =  6,
+  SEMAPHORE_MP_RELEASE_RESPONSE =  6
 }   Semaphore_MP_Remote_operations;
 
Index: cpukit/rtems/include/rtems/rtems/signalmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/signalmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/signalmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  signalmp.h,v 1.2 1995/05/31 16:47:18 joel Exp
  */
 
@@ -35,5 +35,5 @@
 typedef enum {
   SIGNAL_MP_SEND_REQUEST  = 0,
-  SIGNAL_MP_SEND_RESPONSE = 1,
+  SIGNAL_MP_SEND_RESPONSE = 1
 }   Signal_MP_Remote_operations;
 
Index: cpukit/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  taskmp.h,v 1.2 1995/05/31 16:47:30 joel Exp
  */
 
@@ -46,5 +46,5 @@
   RTEMS_TASKS_MP_GET_NOTE_RESPONSE     =  9,
   RTEMS_TASKS_MP_SET_NOTE_REQUEST      = 10,
-  RTEMS_TASKS_MP_SET_NOTE_RESPONSE     = 11,
+  RTEMS_TASKS_MP_SET_NOTE_RESPONSE     = 11
 }   RTEMS_tasks_MP_Remote_operations;
 
Index: cpukit/score/include/rtems/score/tqdata.h
===================================================================
--- cpukit/score/include/rtems/score/tqdata.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/include/rtems/score/tqdata.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  tqdata.h,v 1.2 1995/05/31 16:47:42 joel Exp
  */
 
@@ -33,5 +33,5 @@
 typedef enum {
   THREAD_QUEUE_DATA_FIFO_DISCIPLINE,     /* RTEMS_FIFO queue discipline */
-  THREAD_QUEUE_DATA_PRIORITY_DISCIPLINE, /* RTEMS_PRIORITY queue discipline */
+  THREAD_QUEUE_DATA_PRIORITY_DISCIPLINE  /* RTEMS_PRIORITY queue discipline */
 }   Thread_queue_Disciplines;
 
Index: cpukit/score/include/rtems/score/wkspace.h
===================================================================
--- cpukit/score/include/rtems/score/wkspace.h	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/include/rtems/score/wkspace.h	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -13,5 +13,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.h,v 1.2 1995/05/31 16:47:46 joel Exp
  */
 
@@ -72,5 +72,5 @@
  */
 
-STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
+void *_Workspace_Allocate_or_fatal_error(
   unsigned32   size
 );
Index: cpukit/score/inline/rtems/score/wkspace.inl
===================================================================
--- cpukit/score/inline/rtems/score/wkspace.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/inline/rtems/score/wkspace.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.inl,v 1.2 1995/05/31 16:48:49 joel Exp
  */
 
@@ -70,24 +70,4 @@
 /*PAGE
  *
- *  _Workspace_Allocate_or_fatal_error
- *
- */
-
-STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
-  unsigned32   size
-)
-{
-  void        *memory;
-
-  memory = _Workspace_Allocate( size );
-
-  if ( memory == NULL )
-    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
-
-  return memory;
-}
-
-/*PAGE
- *
  *  _Workspace_Free
  *
Index: cpukit/score/macros/rtems/score/chain.inl
===================================================================
--- cpukit/score/macros/rtems/score/chain.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/macros/rtems/score/chain.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  chain.inl,v 1.2 1995/05/31 16:48:59 joel Exp
  */
 
@@ -146,5 +146,5 @@
 #define _Chain_Get_unprotected( _the_chain ) \
   (( !_Chain_Is_empty( (_the_chain) ) ) \
-    ? _Chain_Get_unprotected( (_the_chain) ) \
+    ? _Chain_Get_first_unprotected( (_the_chain) ) \
     : NULL)
 
Index: cpukit/score/macros/rtems/score/heap.inl
===================================================================
--- cpukit/score/macros/rtems/score/heap.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/macros/rtems/score/heap.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  heap.inl,v 1.2 1995/05/31 16:49:10 joel Exp
  */
 
@@ -45,4 +45,5 @@
       (void *)(_the_block), \
       (_the_block)->back_flag & ~ HEAP_BLOCK_USED \
+    ) \
   )
 
@@ -56,4 +57,5 @@
       (void *)(_the_block), \
       (_the_block)->front_flag & ~ HEAP_BLOCK_USED \
+    ) \
   )
 
Index: cpukit/score/macros/rtems/score/object.inl
===================================================================
--- cpukit/score/macros/rtems/score/object.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/macros/rtems/score/object.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  object.inl,v 1.2 1995/05/31 16:49:20 joel Exp
  */
 
@@ -39,5 +39,4 @@
     (*(_c4) = ((_name)) & 0xff; \
   }
-);
 
 /*PAGE
Index: cpukit/score/macros/rtems/score/priority.inl
===================================================================
--- cpukit/score/macros/rtems/score/priority.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/macros/rtems/score/priority.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  priority.inl,v 1.2 1995/05/31 16:49:27 joel Exp
  */
 
@@ -140,5 +140,5 @@
 #define _Priority_Is_group_empty ( _the_priority ) \
   ( (_the_priority) == 0 )
-}
+
 #endif
 /* end of include file */
Index: cpukit/score/macros/rtems/score/sysstate.inl
===================================================================
--- cpukit/score/macros/rtems/score/sysstate.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/macros/rtems/score/sysstate.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sysstate.inl,v 1.2 1995/05/31 16:49:39 joel Exp
  */
 
@@ -31,5 +31,5 @@
  */
 
-#define _System_state_Get( void ) \
+#define _System_state_Get() \
   (_System_state_Current)
 
Index: cpukit/score/macros/rtems/score/wkspace.inl
===================================================================
--- cpukit/score/macros/rtems/score/wkspace.inl	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/macros/rtems/score/wkspace.inl	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.inl,v 1.2 1995/05/31 16:49:53 joel Exp
  */
 
@@ -67,28 +67,4 @@
 /*PAGE
  *
- *  _Workspace_Allocate_or_fatal_error
- *
- *  NOTE:  XXX FIX ME
- *
- *  When not using static inlines, this should really be a function
- *  somewhere.
- */
-
-static inline void _Workspace_Allocate_or_fatal_error(
-  unsigned32   size
-)
-{
-  void        *memory;
-
-  memory = _Workspace_Allocate( size );
-
-  if ( memory == NULL )
-    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
-
-  return memory;
-}
-
-/*PAGE
- *
  *  _Workspace_Free
  *
Index: cpukit/score/src/thread.c
===================================================================
--- cpukit/score/src/thread.c	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/src/thread.c	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -11,5 +11,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  thread.c,v 1.5 1995/07/31 22:22:38 joel Exp
  */
 
@@ -629,6 +629,6 @@
 )
 {
-  Thread_Control *the_thread;
-  Objects_Locations      location;
+  Thread_Control    *the_thread;
+  Objects_Locations  location;
 
   the_thread = _Thread_Get( id, &location );
@@ -792,6 +792,6 @@
 
 STATIC INLINE Thread_Control *_Thread_Get (
-  Objects_Id  id,
-  unsigned32 *location
+  Objects_Id         id,
+  Objects_Locations *location
 )
 {
Index: cpukit/score/src/wkspace.c
===================================================================
--- cpukit/score/src/wkspace.c	(revision 7285a0165601553e80df3b335d9c7d26c93a3ad8)
+++ cpukit/score/src/wkspace.c	(revision 45819022cee43c0cef9146ccd10aaf20f99b489b)
@@ -2,10 +2,7 @@
  *  Workspace Handler
  *
- *  JUNK
+ *  XXX
  *
  *  NOTE:
- *
- *  This file only exists to contain the one function which cannot
- *  be written as a macro when "static inlines" are not used.
  *
  *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
@@ -17,5 +14,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  wkspace.c,v 1.4 1995/05/25 15:26:53 joel Exp
  */
 
@@ -23,6 +20,4 @@
 #include <rtems/wkspace.h>
 #include <rtems/fatal.h>
-
-#ifndef USE_INLINES
 
 /*PAGE
@@ -45,5 +40,2 @@
   return memory;
 }
-
-#endif   /* USE_INLINES */
-
